Skip to main content
POST
/
integrations
/
webhooks
Create webhook endpoint
curl --request POST \
  --url https://ai-api.getbreezyapp.com/api/v1/integrations/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "eventTypes": [],
  "enabled": true
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "url": "<string>",
    "eventTypes": [],
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "lastDeliveryAt": "2023-11-07T05:31:56Z",
    "signingSecret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.

Body

application/json
name
string
required
Required string length: 1 - 100
url
string
required
Required string length: 1 - 2048
eventTypes
enum<string>[]
required
Minimum array length: 1
Available options:
service_request.created,
service_request.status_changed,
service_request.booked,
interaction.completed
enabled
boolean
default:true

Response

201 - application/json

OK

data
object
required
read-only